Mailinglist Archive: opensuse-factory (600 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20170203 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20170203

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
Mesa
NetworkManager (1.4.4 -> 1.6.0)
NetworkManager-applet (1.4.2 -> 1.4.4)
abiword
akonadi-contact
boost
dracut
gnome-settings-daemon
gstreamer (1.10.2 -> 1.10.3)
gstreamer-editing-services (1.10.2 -> 1.10.3)
gstreamer-plugins-bad (1.10.2 -> 1.10.3)
gstreamer-plugins-base (1.10.2 -> 1.10.3)
gstreamer-plugins-good (1.10.2 -> 1.10.3)
gstreamer-plugins-ugly (1.10.2 -> 1.10.3)
gstreamer-rtsp-server (1.10.2 -> 1.10.3)
gstreamer-validate (1.10.2 -> 1.10.3)
ibus-pinyin
kaddressbook
kdepim-apps-libs
krita (3.1.1 -> 3.1.2.1)
python3-gst (1.10.2 -> 1.10.3)
serd
sord
sratom
vacation
virtualbox (5.1.12_k4.9.6_1 -> 5.1.14_k4.9.6_1)
vm-install (0.8.57 -> 0.8.60)

=== Details ===

==== Mesa ====
Subpackages: Mesa-32bit Mesa-dri-devel Mesa-dri-nouveau Mesa-libEGL-devel
Mesa-libEGL1 Mesa-libEGL1-32bit Mesa-libGL-devel Mesa-libGL1 Mesa-libGL1-32bit
Mesa-libGLESv2-2 Mesa-libglapi0 Mesa-libglapi0-32bit Mesa-libva libOSMesa9
libOSMesa9-32bit libgbm1 libgbm1-32bit libvdpau_nouveau libvdpau_r300
libvdpau_r600 libvdpau_radeonsi libvulkan_intel libvulkan_radeon
libwayland-egl1 libxatracker2

- baselibs.conf: replaced definition of packages, which default is
not set to be built in specfile to
arch aarch64 ppc64 ppc64le s390x x86_64 package <package>
in order to make "osc service localrun source_validator" happy :-(
- Update baselibs.conf to ship i386 vulkan json files on x86_64

==== NetworkManager ====
Version update (1.4.4 -> 1.6.0)
Subpackages: NetworkManager-devel libnm-glib-vpn1 libnm-glib4 libnm-util2
libnm0 typelib-1_0-NM-1_0 typelib-1_0-NMClient-1_0
typelib-1_0-NetworkManager-1_0

- Update to version 1.6.0:
+ No further changes since rc2 (1.5.91).
- Update to version 1.5.91:
+ Bugs fixed: bgo#777402, rh#1406454, rh#1414186.
- Update to version 1.5.90:
+ Avoid reading the permanent MAC address before the device is
initialized by UDEV. This avoids a race where NetworkManager
might detect the MAC address of the wrong interface.
+ Fixed race conditions when renaming interfaces, for example as
done by UDEV for persistent interface naming. This could cause
detecting devices as the wrong hardware type.
+ Added initial support for PKCS#11 tokens with 802.1x
authentication.
+ The stable-addressing for MAC address randomization and RFC7217
IPv6 stable privacy addressing can now be more flexibly
configured using dynamic randomization seeds in
"connection.stable-id".
+ Added support for managing the MACsec links. Requires support
in wpa_supplicant (version newer than 2.6).
+ When the master of Team, Bridge and Bond devices is specified
as a connection UUID, the ifcfg-rh plugin now writes the master
connection's interface name into the ifcfg file for improved
compatibility with the legacy network service.
+ Improve handling of MTU by resetting the previous MTU when the
device deactivates and reset the MTU to a defined value on
activation.
+ Improve tracking of parent devices for dependend devices like
ip-tunnels, MACVLAN, VETH, VLAN, and VXLAN.
+ Many bug fixes and improvements.
- Update to version 1.5.3:
+ The cloned.mac-address property can now be used with Bond and
Bridge devices.
+ The ifcfg parsing code has been reworked for better
compatibility with actual shell variable files.
+ The ipv6.method=shared is now supported, utilizing DHCPv6
Prefix Delegation option to obtain prefixes for the interface.
+ nmtui now supports creating and editing IP tunnel connections.
+ The libnm client library now uses the D-Bus ObjectManager API
that allows for quicker initialization of the clients.
+ nmtui now utilizes the asynchronous libnm client API to
paralellize communication with the daemon, reducing the client
startup time.
+ Ethernet devices now use "802-3.speed" and "802-3.duplex"
properties to allow controlling overriding the negotiated link
parameters.
+ Order in which IP addresses are configured is now preserved so
that primary address is selected correctly.
+ The PPP manager can now be split into a separate package.
+ Details of the DNS information obtained from the connections is
now exposed on the D-Bus and can be inspected with nmcli.
+ Added the support for DHCPV6_HOSTNAME and DHCPV6_SEND_HOSTNAME
keys in ifcfg files that control "dhcp-hostname" and
"dhcp-send-hostname" properties of the "ipv6" setting.
- Add python-gobject BuildRequires: needed in order to build the
settings documentation.
- Update to version 1.5.2:
+ Introduced Vala bindings for libnm.
+ NetworkManager would now keep most connections up on shutdown
(except Wi-Fi connections, VPN connections and other kinds that
can't be assumed on startup)
+ The checkpoint/restore connection can now also remove new
connections and disconnect devices that were activated since
the checkpoint was taken.
+ The configuration is now read from /run/NetworkManager/conf.d
as well. This is useful for handing over configuration
discovered on system startup to NetworkManager.
+ New connection.autoconnect_retries property that allows
fine-tuning the autoconnect behavior.
+ Support for configuration and discovery of Web Proxy settings
with PacRunner service.
+ Support for systemd-resolved local DNS forwarder backend.
+ Fix emission of NM-style PropertiesChanged signals and
deprecate them for PropertiesChanged on
"org.freedesktop.DBus.Properties" interface.
+ Change the meaning of unset "cloned-mac-address" settings from
"permanent" to "preserve". This changes the default value and
affects existing connections during upgrade that did not
explicitly configure cloned-mac-address. This has the effect
that externally configured MAC addresses are preserved by
default instead of setting the permanent address (bgo#770611).

==== NetworkManager-applet ====
Version update (1.4.2 -> 1.4.4)
Subpackages: NetworkManager-connection-editor libnm-gtk0 libnma-data libnma0
typelib-1_0-NMGtk-1_0

- Add libnma-data Requires to the main package.
- Move %glib2_gsettings_schema_requires and post(un) handling to
libnma-data where these now live.
- Update to version 1.4.4:
+ Added the capability to start inport of a VPN connection from
the command line with "nm-connection-editor --import" option.
+ Allow editing of Ethernet link properties, such as link speed
or duplex setting.
+ Added support for creating and editing IP tunnel connections.
+ Added support for editing Proxy setting whe built with
NetworkManager 1.6 or newer.
+ Added support for TTLS/MSCHAPV2 method.
+ Improved the cloned MAC address selection.
+ Lot of bug fixes.
+ Updated translations.
- Rebase network-manager-applet-no-firewalld.patch.
- Drop libnm-gtk-data sub package, no longer built. Following this
add libnm-gtk-data Obsoletes to libnm-gtk package, and remove
Requires.

==== abiword ====
Subpackages: libabiword-3_0

- Add boost_asio.patch: Add support for boost::asio.
- Drop asio-devel BuildRequires, merged into boost 1.62.
- Replace boost-devel with libboost_headers-devel BuildRequires.
- Drop obsolete conditional for post(un) handling.

==== akonadi-contact ====
Subpackages: libKF5AkonadiContact5

- BuildRequire cmake(KF5Prison) instead of libprison-devel (which
is the KDE4 version) to enable the barcode features

==== boost ====
Subpackages: boost-license1_63_0 boost_1_63-devel boost_1_63-jam
libboost_atomic1_63_0 libboost_atomic1_63_0-devel libboost_chrono1_63_0
libboost_chrono1_63_0-devel libboost_container1_63_0
libboost_container1_63_0-devel libboost_context1_63_0
libboost_context1_63_0-devel libboost_coroutine1_63_0
libboost_coroutine1_63_0-devel libboost_date_time1_63_0
libboost_date_time1_63_0-devel libboost_fiber1_63_0 libboost_fiber1_63_0-devel
libboost_filesystem1_63_0 libboost_filesystem1_63_0-devel libboost_graph1_63_0
libboost_graph1_63_0-devel libboost_graph_parallel1_63_0
libboost_graph_parallel1_63_0-devel libboost_headers1_63_0-devel
libboost_iostreams1_63_0 libboost_iostreams1_63_0-devel libboost_locale1_63_0
libboost_locale1_63_0-devel libboost_log1_63_0 libboost_log1_63_0-devel
libboost_math1_63_0 libboost_math1_63_0-devel libboost_mpi1_63_0
libboost_mpi1_63_0-devel libboost_program_options1_63_0
libboost_program_options1_63_0-devel libboost_python-py2_7-1_63_0
libboost_python-py2_7-1_63_
0-devel libboost_python-py3-1_63_0 libboost_python-py3-1_63_0-devel
libboost_random1_63_0 libboost_random1_63_0-devel libboost_regex1_63_0
libboost_regex1_63_0-devel libboost_serialization1_63_0
libboost_serialization1_63_0-devel libboost_signals1_63_0
libboost_signals1_63_0-devel libboost_system1_63_0 libboost_system1_63_0-devel
libboost_test1_63_0 libboost_test1_63_0-devel libboost_thread1_63_0
libboost_thread1_63_0-devel libboost_timer1_63_0 libboost_timer1_63_0-devel
libboost_type_erasure1_63_0 libboost_type_erasure1_63_0-devel
libboost_wave1_63_0 libboost_wave1_63_0-devel

- baselibs.conf: (re)add python 2.7 and 3.x libraries

==== dracut ====

- Allow booting from degrated MD arrays with systemd
* add 0505-Allow-booting-from-degraded-MD-RAID-arrays.patch

==== gnome-settings-daemon ====

- Add gnome-settings-daemon-fix-keyboard-slider.patch: Make
keyboard backlight slider work like intended, patch from
bugzilla (bgo#725655).

==== gstreamer ====
Version update (1.10.2 -> 1.10.3)
Subpackages: gstreamer-devel gstreamer-utils libgstreamer-1_0-0
libgstreamer-1_0-0-32bit typelib-1_0-Gst-1_0

- Update to version 1.10.3:
+ Bugs fixed: bgo#776125, bgo#775538, bgo#775661, bgo#775714,
bgo#775728, bgo#775921, bgo#776039, bgo#776401, bgo#777263.

==== gstreamer-editing-services ====
Version update (1.10.2 -> 1.10.3)
Subpackages: libges-1_0-0 typelib-1_0-GES-1_0

- Update to version 1.10.3:
+ meson: Install ges-launch.
+ validate: Remove space breaking muting ges-launch.

==== gstreamer-plugins-bad ====
Version update (1.10.2 -> 1.10.3)
Subpackages: libgstadaptivedemux-1_0-0 libgstbadaudio-1_0-0 libgstbadbase-1_0-0
libgstbadvideo-1_0-0 libgstbasecamerabinsrc-1_0-0 libgstcodecparsers-1_0-0
libgstgl-1_0-0 libgstmpegts-1_0-0 libgstphotography-1_0-0
libgsturidownloader-1_0-0 libgstwayland-1_0-0

- Update to version 1.10.3:
+ Bugs fixed: bgo#740101, bgo#775072, bgo#775292, bgo#775970,
bgo#776072, bgo#776244, bgo#776461, bgo#776591, bgo#776722,
bgo#776726, bgo#777143, bgo#777144, bgo#777400, bgo#777503,
bgo#777533, bgo#777742, bgo#777930.

==== gstreamer-plugins-base ====
Version update (1.10.2 -> 1.10.3)
Subpackages: libgstallocators-1_0-0 libgstapp-1_0-0 libgstaudio-1_0-0
libgstaudio-1_0-0-32bit libgstfft-1_0-0 libgstpbutils-1_0-0 libgstriff-1_0-0
libgstrtp-1_0-0 libgstrtsp-1_0-0 libgstsdp-1_0-0 libgsttag-1_0-0
libgsttag-1_0-0-32bit libgstvideo-1_0-0 libgstvideo-1_0-0-32bit
typelib-1_0-GstAudio-1_0 typelib-1_0-GstPbutils-1_0 typelib-1_0-GstTag-1_0
typelib-1_0-GstVideo-1_0

- Update to version 1.10.3:
+ Bugs fixed: bgo#758389, bgo#771723, bgo#774908, bgo#775351,
bgo#775459, bgo#775480, bgo#775687, bgo#775887, bgo#776403,
bgo#776623, bgo#777262, bgo#777265, bgo#777502, bgo#777525,
bgo#777921.

==== gstreamer-plugins-good ====
Version update (1.10.2 -> 1.10.3)
Subpackages: gstreamer-plugins-good-extra

- Update to version 1.10.3:
+ Bugs fixed: bgo#775898, bgo#754230, bgo#765498, bgo#772646,
bgo#773218, bgo#773891, bgo#773905, bgo#775071, bgo#775450,
bgo#775451, bgo#775455, bgo#775472, bgo#775479, bgo#775543,
bgo#775794, bgo#775888, bgo#776107, bgo#776720, bgo#777101,
bgo#777123, bgo#777157, bgo#777174, bgo#777222, bgo#777327,
bgo#777362, bgo#777469, bgo#777500, bgo#777532, bgo#777832.

==== gstreamer-plugins-ugly ====
Version update (1.10.2 -> 1.10.3)

- Update to version 1.10.3:
+ Bugs fixed: bgo#775515, bgo#777937.
- Drop translation-update-upstream BuildRequires and stop passing
the macro: It's been disabled for a while due to beeing broken,
and SLE does not ship gstreamer-plugins-ugly anymore.

==== gstreamer-rtsp-server ====
Version update (1.10.2 -> 1.10.3)

- Update to version 1.10.3:
+ Bugs fixed: bgo#755329, bgo#776343, bgo#776345.

==== gstreamer-validate ====
Version update (1.10.2 -> 1.10.3)
Subpackages: libgstvalidate-1_0-0 typelib-1_0-GstValidate-1_0

- Update to version 1.10.3:
+ Bugs fixed: bgo#776280.

==== ibus-pinyin ====

- use individual libboost-*-devel packages instead of boost-devel

==== kaddressbook ====

- BuildRequire prison-qt5-devel instead of libprison-devel (which
is the KDE4 version) to enable the barcode features

==== kdepim-apps-libs ====

- Add prison-qt5-devel build requirement to enable the barcode
generation features

==== krita ====
Version update (3.1.1 -> 3.1.2.1)
Subpackages: krita-lang

- Update to version 3.1.2.1:
* Audio Support for Animations
* Ctrl key continue mode for Outline Selection tool
* Allow deselection by clicking with a selection tool
* Added a checkbox for enabling HiDPI to the settings dialog
* Remove the export to PDF functionality. It is having too many
issues right now. (kde#372439)
* a lot of bug fixes
* More information on https://krita.org/en/release-notes-for-3-1-2/
- Add Qt5Multimedia build requirement to enable the new audio
support for animations

==== python3-gst ====
Version update (1.10.2 -> 1.10.3)

- Update to version 1.10.3:
+ No changes, versionbump only

==== serd ====

- Fix mismatching RPM group
- Rename soname macro to sover as it does not contain a name
- Add baselibs.conf for gstreamer-plugins-bad-32bit

==== sord ====

- Rename soname macro to sover as it does not contain a name
- Add baselibs.conf for gstreamer-plugins-bad-32bit

==== sratom ====

- Fix mismatching RPM group
- Rename soname macro to sover as it does not contain a name
- Add baselibs.conf for gstreamer-plugins-bad-32bit

==== vacation ====

- Add some more senders and mail tags which should not be answered

==== virtualbox ====
Version update (5.1.12_k4.9.6_1 -> 5.1.14_k4.9.6_1)
Subpackages: virtualbox-guest-kmp-default virtualbox-guest-tools
virtualbox-guest-x11

- Removed "vbox_fix_4.9_api_changes.patch" as changes are upstream.
Fixed API changes for kernel 4.10 in "vbox_fix_4.10_api_changes.patch".
- The version bump to 5.1.14 also addresses boo#1020856 CVE-2017-3316
CVE-2017-3332 CVE-2017-3290 CVE-2016-5545
- Version bump to 5.1.14 (released 2017-01-17 by Oracle)
This is a maintenance release. The following items were fixed and/or added:
VMM: fixed emulation of certain instructions for 64-bit guests on 32-bit
hosts
VMM: properly handle certain MSRs for 64-bit guests on ancient CPUs without
VT-x support for MSR bitmaps (bug #13886)
GUI: fixed a crash with multimonitor setups under certain conditions
GUI: allow cloning of snapshots when the VM is running
NVMe: fixed compatibility with the Storage Performance Development Kit
(SPDK, bug #16368)
VBoxSVC: fixed a crash under rare circumstances
VBoxManage: added a sanity check to modifymedium --resize to prevent users
from resizing their hard disk from 1GB to 1PB (bug #16311)
Windows hosts: another fix for recent Windows 10 hosts
Linux hosts: Linux 4.10 fixes
Linux Additions: fixed protocol error during certain operations on shared
folders (bug #8463)

==== vm-install ====
Version update (0.8.57 -> 0.8.60)

- bsc#1020616 - Insert the correct kernel flag for changing the
screen resolution of PV guests (it changed with the pvops kernel)
- Update de.po language file
- Version 0.8.60
- bsc#1020751 - vm-install: exception thrown without explanation
when doing VM upgrade
- Version 0.8.59
- bsc#1004324 - sles12 install from sles11 hypervisor
- Version 0.8.58

--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages